### Method

# FwupdPlugin Efivars set_boot_data

#### Declaration [src]

    gboolean
    fu_efivars_set_boot_data (
      FuEfivars* self,
      guint16 idx,
      GBytes* blob,
      GError** error
    )

#### Description [src]

Sets the raw data of the `BootXXXX` variable. If `blob` is `NULL` then the boot entry is deleted.

Available since: | 2.0.0

#### Parameters

`idx` | `guint16`
| Boot index, typically 0x0001
`blob` | `GBytes`
| `GBytes`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.